<?php

/**
 * @package		plg_sys_externallinkwarning
 * @copyright	Copyright (C) 2010 - 2016 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgSystemExternalLinkWarning extends JPlugin {

    function onBeforeRender() {
	$app = JFactory::getApplication();
        $doc = JFactory::getDocument();
        if ($app->isAdmin() || $doc->getType() != 'html') return;
	$cfg = JFactory::getConfig();
	JFactory::getLanguage()->load('plg_system_externallinkwarning', JPATH_ADMINISTRATOR);
	JText::script('PLG_SYS_EXTERNALLINKWARNING_WARNINGTEXT');
	$options = array(
	    'sitename'=>$app->getCfg('sitename',false)
	);
	$doc->addScriptOptions('plg_system_externallinkwarning',$options);
	JHtml::_('jquery.framework');
	$doc->addScript(JURI::root(true).'/media/plg_system_externallinkwarning/js/externallinkwarning'.($cfg->get('debug')?'':'.min').'.js');
	return true;
    }

}
